Bug 29369 - Use Flatpickr in dateaccessioned cataloging plugin
Summary: Use Flatpickr in dateaccessioned cataloging plugin
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Staff Client (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Bugs List
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 29239
  Show dependency treegraph
 
Reported: 2021-10-29 10:46 UTC by Owen Leonard
Modified: 2021-11-08 13:39 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
21.11.00


Attachments
Bug 29369: Use Flatpickr in dateaccessioned cataloging plugin (1.56 KB, patch)
2021-10-29 10:50 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 29369: Use Flatpickr in dateaccessioned cataloging plugin (1.61 KB, patch)
2021-10-29 17:50 UTC, David Nind
Details | Diff | Splinter Review
Bug 29369: Use Flatpickr in dateaccessioned cataloging plugin (1.67 KB, patch)
2021-10-31 00:07 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2021-10-29 10:46:07 UTC
The cataloging plugin which affects date fields in cataloging (952$d "date acquired" in the default MARC21 framework) uses the old jQueryUI datepicker. It should be updated to use Flatpickr.
Comment 1 Owen Leonard 2021-10-29 10:50:26 UTC Comment hidden (obsolete)
Comment 2 David Nind 2021-10-29 17:50:05 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2021-10-31 00:07:32 UTC
Created attachment 127114 [details] [review]
Bug 29369: Use Flatpickr in dateaccessioned cataloging plugin

This patch udpates the dateaccessioned cataloging plugin to use the
Flatpickr date picker instead of jQueryUI.

To test, apply the patch and open an item for editing in Cataloging.

- The date acquired field (952$d) should have flatpickr styling.
- Clicking in the field should populate the field with today's date and
  trigger the calendar popup.
- Clicking the "..." next to the field should populate the field (when
  empty) with today's date.
- Verify that tabbing from a different field into the date acquired
  field behaves the same as a click.

Signed-off-by: David Nind <david@davidnind.com>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 4 Jonathan Druart 2021-11-03 14:32:13 UTC
Pushed to master for 21.11, thanks to everybody involved!